KERNELRELEASE := $(shell uname -r)

ifeq ($(KSRC),)
KERNELSRCDIR := /lib/modules/$(KERNELRELEASE)/build
else
KERNELSRCDIR := $(KSRC)
endif

KERNELBUILDDIR := $(KERNELSRCDIR)
BUILD_DIR := $(shell pwd)
export DVB_SRC_DIR := $(shell cd ..; pwd)
 
include $(KERNELBUILDDIR)/.config

ifneq ($(KERNELBUILDDIR),$(KERNELSRCDIR))
KBUILDO=O=$(KERNELBUILDDIR)
endif

export CONFIG_B2C2_FLEXCOP     := m
export CONFIG_B2C2_FLEXCOP_PCI := m
export CONFIG_B2C2_FLEXCOP_USB := m

all: makelinks
	$(MAKE) -C $(KERNELSRCDIR) $(KBUILDO) SUBDIRS=$(BUILD_DIR) AV7110_FIRMWARE=$(CONFIG_DVB_AV7110_FIRMWARE_FILE) AV7110_OSD=$(CONFIG_DVB_AV7110_OSD)

clean:
	rm -f *.o *.ko .*.o.cmd .*.ko.cmd *.mod.c .*.o.d fdump av7110_firm.h video-buf.c
	rm -rf .tmp_versions
	find . -type l | xargs -r rm




modules_install:
	$(MAKE) -C $(KERNELSRCDIR) $(KBUILDO) SUBDIRS=$(BUILD_DIR) AV7110_FIRMWARE=$(CONFIG_DVB_AV7110_FIRMWARE_FILE) AV7110_OSD=$(CONFIG_DVB_AV7110_OSD) modules_install

export CC := $(CROSS_COMPILE)gcc -I$(DVB_SRC_DIR)/linux/include $(FW) $(OSD) $(DIBUSB)

makelinks:
	[ -L dvb_frontend.h ] || ./getlinks ..
